Subject: bug#78334: closed (Re: [bug#78334] [PATCH science-team 0/1] Update flint.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jun 2025 17:24:02 +0000

Your bug report

#78334: [PATCH science-team 0/1] Update flint.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78334: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78334
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#78334] [PATCH science-team 0/1] Update flint.
From: Andreas Enge <[email-masked]>
To: Greg Hogan <[email-masked]>
Cc: Sharlatan Hellseher <[email-masked]>, [email-masked], Eric Bavier <[email-masked]>
Date: Wed, 11 Jun 2025 19:23:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Greg,

Am Fri, Jun 06, 2025 at 03:18:52PM +0200 schrieb Andreas Enge:
> We should try to update to 3.2.1

in the end this was not as bad as I had feared. I needed to make a new
release of paritwine, apart from that everything built, including sage.
So I have pushed the update to master, and at the same time also updated
python-flint for good measure.

Andreas

Subject: [PATCH science-team 0/1] Update flint.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Fri, 9 May 2025 15:39:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Our current version, flint 3.1.2, fails for me with:

  CC  fft_small/mpn_mul.c
In file included from src/fft_small/mpn_mul.c:17:
src/fft_small/mpn_mul.c: In function ‘_mpn_from_ffts_8’:
./src/crt_helpers.h:120:3: error: ‘asm’ operand has impossible constraints
  120 |   __asm__ ("addq %23,%q7\nadcq %21,%q6\nadcq %19,%q5\n\tadcq %17,%q4\n\tadcq %15,%q3\n\tadcq %13,%q2\n\tadcq %11,%q1\n\tadcq %9,%q0"    \
      |   ^~~~~~~
./src/crt_helpers.h:378:5: note: in expansion of macro ‘add_ssssssssaaaaaaaaaaaaaaaa’
  378 |     add_ssssssssaaaaaaaaaaaaaaaa(z[7],z[6],z[5],z[4],z[3],z[2],z[1],z[0],
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
./src/crt_helpers.h:120:3: error: ‘asm’ operand has impossible constraints
  120 |   __asm__ ("addq %23,%q7\nadcq %21,%q6\nadcq %19,%q5\n\tadcq %17,%q4\n\tadcq %15,%q3\n\tadcq %13,%q2\n\tadcq %11,%q1\n\tadcq %9,%q0"    \
      |   ^~~~~~~
./src/crt_helpers.h:378:5: note: in expansion of macro ‘add_ssssssssaaaaaaaaaaaaaaaa’
  378 |     add_ssssssssaaaaaaaaaaaaaaaa(z[7],z[6],z[5],z[4],z[3],z[2],z[1],z[0],
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
make: *** [Makefile:616: build/fft_small/mpn_mul.lo] Error 1
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("-j" "1") exit-status: 2 term-signal: #f stop-signal: #f>
phase `build' failed after 260.7 seconds
command "make" "-j" "1" failed with status 2
build process 18 exited with status 256

Greg Hogan (1):
  gnu: flint: Update to 3.2.1.

 gnu/packages/algebra.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

base-commit: c3b6b57521404d223ae37d3dd91f7bb60ed0cebc
-- 
2.49.0